<!DOCTYPE html>
<html lang="en">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link th:href="@{/styles/styles.css}" rel="stylesheet" />
</head>
<body>

<!-- ALERT -->
<div th:if="!${message.isEmpty()}" class="alert alert-success alert-dismissible fade show" role="alert" style="width: fit-content; left: 0px; right: 0px; position:absolute; top: 0px; margin: auto; text-align: center">
    <strong>Sucessfully <strong th:text="${message}">created</strong></strong>
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div id="failed" class="alert alert-danger alert-dismissible fade show" role="alert" style="display:none; width: fit-content; left: 0px; right: 0px; position:absolute; top: 0px; margin: auto; text-align: center">
    <strong>Failed to post the reply.</strong>
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>




<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="staticBackdropLabel">New comment</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p class="lead">Comment</p>
                <textarea id="text" class="form-control" aria-label="With textarea"></textarea>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal" th:onclick="'javascript:newComment(' + ${notice.id} + ')'">Post</button>
            </div>
        </div>
    </div>
</div>







<div class="mainBody">
    <div class="row">
        <div class="col">
            <blockquote class="blockquote">
                <p class="mb-0" th:text="${notice.title}"/>
                <footer class="blockquote-footer" th:text="${notice.createdBy}">Someone famous in</footer>
            </blockquote>
        </div>
        <div class="col" style="text-align: right; margin: auto">
            <a class="lead respFont" th:if="${loggedIn}" data-toggle="modal" data-target="#staticBackdrop" >[Add Comment]</a>
            <a class="lead respFont" th:if="${owner}" th:href="@{/edit/{id}(id=${notice.id})}" >[Edit]</a>
            <a class="lead respFont" href="/" style="width:100%; text-align: right">[Return]</a>
        </div>
    </div>
    <hr>
    <div style="height: fit-content">
        <p class="lead" th:text="${notice.text}" style="word-wrap: break-word; font-size: max(1.0vw, 18px)"></p>
    </div>
    <td class="lead" th:switch="${notice.lastEdited} == null">
        <span th:case="${true}"><small class="text-muted">- created</small> <small class="text-muted" th:text="${notice.created}"/></span>
        <span th:case="${false}"><small class="text-muted">- edited </small><small class="text-muted" th:text="${notice.lastEdited}"/></span>
    </td>
    <hr>
    <span class="lead" style="font-size: max(1.0vw, 14px)">(<span class="lead" th:text="${notice.replies.size()}" style="font-size: max(1.0vw, 14px)"/>) comments. </span>
    <div>
        <ul class="list-group list-group-flush" th:each="reply : ${notice.replies}">
            <li class="list-group-item" style="border-bottom: aliceblue 2px solid">
                <p class="lead" th:text="${reply.text}" style="font-size: max(1.0vw, 14px)"/>
                - <small class="text-muted" th:text="${reply.createdBy}"/> <small class="text-muted" th:text="${reply.created}"/>
            </li>
        </ul>
    </div>
</div>
</body>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
<script>
    function newComment(id) {
        let text = document.getElementById("text").value
        fetch("/notice/reply/" + id, {
            method: "PATCH",
            body: JSON.stringify({text}),
            headers: {
                'Content-Type': 'application/json'
            }
        })
        .then(resp => {
            if(resp.status == 201) {
                window.location.href = "/redirectIndex/created/" + id
            }
            else {
                document.getElementById("failed").style.display="block"
            }
        })
    }
</script>

</html>